Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.ashwood.graph
Class DepthFirstStampSearch<E>

    java.lang.Object
      org.apache.cayenne.ashwood.graph.DepthFirstSearch<E>
          org.apache.cayenne.ashwood.graph.DepthFirstStampSearch<E>

All Implemented Interfaces:
  java.util.Iterator<E>

    public class DepthFirstStampSearch<E>

extends DepthFirstSearch<E>

Since:
  3.1

Field Summary
`static int` | `GROW_BREADTH_STAMP`
`static int` | `GROW_DEPTH_STAMP`
`static int` | `LEAF_STAMP`
`static int` | `SHRINK_STAMP`
`static int` | `UNDEFINED_STAMP`

Fields inherited from class org.apache.cayenne.ashwood.graph.DepthFirstSearch
`factory, firstVertex, seen, stack`

Constructor Summary
`DepthFirstStampSearch(DigraphIteration<E,?> factory, E firstVertex)`

Method Summary
`int` | `getStamp()`
`E` | `next()`

Methods inherited from class org.apache.cayenne.ashwood.graph.DepthFirstSearch
`hasNext, remove, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDEFINED_STAMP

    public static final int UNDEFINED_STAMP

See Also:
  Constant Field Values

### GROW_DEPTH_STAMP

    public static final int GROW_DEPTH_STAMP

See Also:
  Constant Field Values

### GROW_BREADTH_STAMP

    public static final int GROW_BREADTH_STAMP

See Also:
  Constant Field Values

### SHRINK_STAMP

    public static final int SHRINK_STAMP

See Also:
  Constant Field Values

### LEAF_STAMP

    public static final int LEAF_STAMP

See Also:
  Constant Field Values

Constructor Detail

### DepthFirstStampSearch

    public DepthFirstStampSearch(DigraphIteration<E,?> factory,
                                 E firstVertex)

Method Detail

### getStamp

    public int getStamp()

### next

    public E next()

  Specified by:
    `next` in interface `java.util.Iterator<E>`
  Overrides:
    `next` in class `DepthFirstSearch<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.